Productsup
CDE APIApi referencePlatform

Validate channels assigned to the Connector.

Sign in to run requests against the CDE API.
GET
/connectors/{publicId}/versions/{connectorVersion}/channels/validate

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/channels/validate"
{
  "message": "All channels are valid."
}
{
  "message": "Export channels are not valid.",
  "errors": {
    "channels": "You can not assign delta channels to export Connector: 98,99"
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?